Name:          joda-money
Version:       0.11
Release:       1%{?dist}
Summary:       Money representation and formatting
License:       ASL 2.0
URL:           http://www.joda.org/joda-money/
Source0:       https://github.com/JodaOrg/joda-money/archive/v%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-checkstyle-plugin)
BuildRequires: mvn(org.joda:joda-convert)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
Joda-Money provides a library of classes to store amounts of money.

Joda-Money does not provide, nor is it intended to provide,
monetary algorithms beyond the most basic and obvious.
This is because the requirements for these algorithms
vary widely between domains. This library is intended to
act as the base layer, providing classes that should be in the JDK.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# Remove unwanted plugins
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin
# Remove unwanted task
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"

# Remove unavailable plugin
%pom_remove_plugin com.github.github:site-maven-plugin

sed -i 's/\r//' Notes.txt RELEASE-NOTES.txt

%mvn_file org.joda:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc Notes.txt README.md RELEASE-NOTES.txt
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Tue Apr 05 2016 gil cattaneo <puntogil@libero.it> 0.11-1
- update to 0.11

* Wed Apr 29 2015 gil cattaneo <puntogil@libero.it> 0.10.0-1
- initial rpm
